CON

  'These are clock constants
  _xinfreq = 5_000_000                      
  _clkmode = xtal1 | pll16x

  terminalRx   = 31
  terminalTx   = 30
  terminalBaud = 56700

  wirelessRx   = 15
  wirelessTx   = 14
  wirelessBaud = 9600

  lcdTx        = -1
  lcdBaud      = 19200
  lcdW         = 20
  lcdH         = 4

  keyboardBase = 18

  tvBase       = 24

  
OBJ
  kbm      : "kbm"
  debug : "DebugMultimode"
  tv    : "TV_Text"

PUB Main | char

  debug.start(terminalRx, terminalTx, terminalBaud, wirelessRx, wirelessTx, wirelessBaud, lcdTx, lcdBaud, lcdW, lcdH)
  kbm.start(keyboardBase+3, keyboardBase+2, keyboardBase+1, keyboardBase)
  tv.start(tvBase)
  waitcnt(clkfreq/2 + cnt)

  repeat
    char := kbm.getKey
    debug.tx(char)
    char := debug.rx
    if(char <> 12) 'Prevent it from highlighting the text
      tv.out(char)
    
DAT
{{

                                                   TERMS OF USE: MIT License                                                                                                              

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation     
files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,    
modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
is furnished to do so, subject to the following conditions:                                                                   
                                                                                                                              
The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
                                                                                                                              
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE          
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR         
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,   
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.                         

}}  